aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorSelene ToyKeeper2023-11-19 01:53:59 -0700
committerSelene ToyKeeper2023-11-19 01:53:59 -0700
commit486dd5543653b342fe64c0e5b1fcd342f0a02dbb (patch)
tree4c9638725f109135795b70934a23a35e6ec35a4c /bin
parentthefreeman/boost*: define Vref values more explicitly without magic numbers (diff)
downloadanduril-486dd5543653b342fe64c0e5b1fcd342f0a02dbb.tar.gz
anduril-486dd5543653b342fe64c0e5b1fcd342f0a02dbb.tar.bz2
anduril-486dd5543653b342fe64c0e5b1fcd342f0a02dbb.zip
added *unfinished* support for avr32dd20, plus a build target for a dev kit
ADC doesn't work yet. No voltage, no temperature. I need to do a lot of refactoring on the ADC code. :(
Diffstat (limited to 'bin')
-rwxr-xr-xbin/flash-avr32dd20.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/bin/flash-avr32dd20.sh b/bin/flash-avr32dd20.sh
new file mode 100755
index 0000000..ef8b0f3
--- /dev/null
+++ b/bin/flash-avr32dd20.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -e
+
+[[ -z "$1" ]] && echo "No .hex file specified." && exit 1
+HEX="$1"
+
+#pymcuprog ping -t uart -u /dev/ttyUSB2 -d avr32dd20
+#pymcuprog erase -t uart -u /dev/ttyUSB2 -d avr32dd20
+#pymcuprog write verify -t uart -u /dev/ttyUSB2 -d avr32dd20 -f "$HEX"
+#pymcuprog verify -t uart -u /dev/ttyUSB2 -d avr32dd20 -f "$HEX"
+
+pymcuprog write --erase --verify --timing -t uart -u /dev/ttyUSB2 -d avr32dd20 -f "$HEX"